from interfaz import *
import serial
import sys

class MainWindow(QtWidgets.QMainWindow, Ui_MainWindow):
    def __init__(self, *args, **kwargs):
        QtWidgets.QMainWindow.__init__(self, *args, **kwargs)
        self.setupUi(self)
        self.serial = serial.Serial('COM22',9600)
        self.sld_red.sliderMoved.connect(self.sldred)
        self.sld_green.sliderMoved.connect(self.sldgreen)
        self.sld_blue.sliderMoved.connect(self.sldblue)
        self.btn_save.clicked.connect(self.sendColors)
        
    def sldred(self):
        sld_red = self.sld_red.value()
        print(sld_red)
    
    def sldgreen(self):
        sld_green = self.sld_green.value()
        print(sld_green)
    
    def sldblue(self):
        sld_blue = self.sld_blue.value()
        print(sld_blue)

    def sendColors(self):
        red_value = self.sld_red.value()
        green_value = self.sld_green.value()
        blue_value = self.sld_blue.value()
        # Formateamos los valores como una cadena separada por comas y terminada con un newline
        self.serial.write(f"{red_value},{green_value},{blue_value}\n".encode())


if __name__ == '__main__':
    app = QtWidgets.QApplication([])
    window = MainWindow()
    window.show()
    app.exec()