#include <Adafruit_NeoPixel.h>

#define PIN 12         // Define el pin para el LED NeoPixel
int Power = 11;
#define NUMPIXELS 1    // Número de píxeles NeoPixel
String String_received="0";

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  pixels.begin();           // Inicializa la tira de NeoPixels
  Serial.begin(9600);       // Inicia la comunicación serial a 9600 bps
  pinMode(Power,OUTPUT);
  digitalWrite(Power, HIGH);

}

void loop() {
  if (Serial.available() > 0) {
    // Espera a recibir datos del formato "R,G,B\n"
    String_received = Serial.readStringUntil('\n');
    int firstCommaIndex = String_received.indexOf(',');
    int lastCommaIndex = String_received.lastIndexOf(',');

    int red = String_received.substring(0, firstCommaIndex).toInt();
    int green = String_received.substring(firstCommaIndex + 1, lastCommaIndex).toInt();
    int blue = String_received.substring(lastCommaIndex + 1).toInt();

    // Establece el color del primer pixel
    pixels.setPixelColor(0, pixels.Color(red, green, blue));
    pixels.show();  // Actualiza el color en los LEDs
    Serial.print(String_received);

  }
  Serial.print(String_received);
}
